commit f58d46e39fbfd991b10477c06e9d2ca1e87808e8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 12 18:35:51 2018 +0000

    2.56.0

 NEWS         | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 meson.build  |  2 +-
 3 files changed, 52 insertions(+), 3 deletions(-)

commit c4f58e362eca05ca3d5e3ea2683dd46c9f66e594
Author: Philip Withnall <withnall@endlessm.com>
Date:   Fri Mar 9 17:48:35 2018 +0000

    tests: Skip the gdatetime month names test when running uninstalled

    It needs the translations to be installed. See the comment added
    to the
    code.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=794180

 glib/tests/gdatetime.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 36af567045c1c4f81e40c65be4df0875ba338372
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 20 13:27:50 2018 +0000

    tests: Ensure gettext strings are loaded in UTF-8 in gdatetime.c

    See the previous commit. By convention, GLib assumes strings
    loaded from
    gettext are always in UTF-8, but we do need to tell gettext this. In
    most other tests, it doesn’t matter; but in the gdatetime test,
    we test
    re-encoding month names from EUC-JP, so we need to ensure the
    translations start in UTF-8 correctly.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793578

 glib/tests/gdatetime.c | 2 ++
 1 file changed, 2 insertions(+)

commit 12f11090dc1b6062f4a493d79b382714ebbdc413
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 20 13:25:21 2018 +0000

    gdatetime: Fix locale handling for nl_langinfo() calls

    With the various macros we use to provide fallbacks for missing
    nl_langinfo() fields, the locale handling can become quite complex:
    nl_langinfo() returns strings encoded in the current locale, but C_()
    returns strings encoded in UTF-8 (by GLib convention — you do
    actually
    need to call bind_textdomain_codeset() to achieve this).

    There are various format specifiers, especially with the new %Ob, %OB,
    %Oh specifiers, which conditionally call nl_langinfo() or something
    based on C_(). This makes encoding handling difficult.

    Add additional macros which indicate whether the macros they’re
    paired
    with return something encoded in the current locale, or encoded in
    UTF-8. The user of the macro can then use these to work out whether to
    re-encode.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793578

 glib/gdatetime.c | 51 ++++++++++++++++++++++++++++++---------------------
 1 file changed, 30 insertions(+), 21 deletions(-)

commit f59c379c7a62ce60a27118df5db7c1da7bb931fc
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Mon Mar 12 16:25:24 2018 +0000

    Update Estonian translation

 po/et.po | 3998
 ++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 3244 insertions(+), 754 deletions(-)

commit 7c1e2b7cef88c9b9685ab88e0b2b7c45e853fd8c
Author: Justin van Steijn <jvs@fsfe.org>
Date:   Sat Mar 10 15:46:55 2018 +0000

    Update Dutch translation

 po/nl.po | 334
 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 127 insertions(+), 207 deletions(-)

commit 5d93dd63e8e533fffdc5ebbd74a25508b98f9b93
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Thu Mar 8 12:42:22 2018 +0000

    Update Turkish translation

 po/tr.po | 2020
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 937 insertions(+), 1083 deletions(-)

commit 76f770ad98522a0f164aad564d4660d318679b7a
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Mar 5 22:57:16 2018 +0200

    More corrections in Lithuanian date formats

 po/lt.po | 50 +++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

commit 8b89331d5a99a6f98ba19e1618066975d807c106
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Mar 5 22:48:26 2018 +0200

    Updated Lithuanian translation

 po/lt.po | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit cc50c19544a6aa930b83b53f2690f4d126ddb443
Author: Dr. Michael Lauer <mickey@vanille-media.de>
Date:   Mon Mar 5 15:13:59 2018 +0100

    configure.ac: link to AppKit on macOS.

    This is actually only necessary for gio, not for the other libraries.

    https://bugzilla.gnome.org/show_bug.cgi?id=793565

 configure.ac | 2 +-
 meson.build  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b03c37cf3bec82a0164ab1e0b84adac3cf05c1c1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 5 17:13:51 2018 +0100

    Sync abbreviated month names in Greek translation with CLDR

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/el.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 0040ba008b7e56bb120d420acdd89f481ad835b3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:45:44 2018 +0100

    Add month names with day to Chinese (Taiwan) translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/zh_TW.po | 96
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 20d8cb3374277523f530786b1d20fb21943b931c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:44:29 2018 +0100

    Add month names with day to Chinese (Hong Kong) translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/zh_HK.po | 96
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit a998018b5f674da662df7d60312daa75c8cbf32f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:43:06 2018 +0100

    Add month names with day to Chinese (Simplified) translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/zh_CN.po | 96
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 58e00dd89ebf4be49609c359e6eb8b0bb0a34c18
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:41:27 2018 +0100

    Add month names with day to Vietnamese translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/vi.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 24f2398c607c3ac3e76ec0927e98f4059df5344e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:39:52 2018 +0100

    Add month names with day to Ukrainian translation

    Ukrainian uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/uk.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit e663b246c92be86905c59c6b245dfc9296a1747b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:34:12 2018 +0100

    Add month names with day to Uyghur translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ug.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 05b7d38a573f0cfc7f3a3242a2655055f7c13fd1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:32:51 2018 +0100

    Add month names with day to Turkish translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/tr.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit ca7c43e54de4f1417b231f3e9bab80eddc76f62d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:31:29 2018 +0100

    Add month names with day to Thai translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/th.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit b9c332888abb56e9fe013bcadea3b504a513d716
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:30:11 2018 +0100

    Add month names with day to Tajik translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/tg.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 44a96b6462087383daee03c1c4877173e6e9277e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:28:15 2018 +0100

    Add month names with day to Telugu translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/te.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit c5123298b33f9454e7d73f6efbcdd167a8a8155a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:26:51 2018 +0100

    Add month names with day to Tamil translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ta.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 360bf29202d7e573f4cb2d40b27a8a4ba707f495
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:20:04 2018 +0100

    Add month names with day to Slovenian translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/sl.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 1144cfcd75f318114888d3bbf0be287a94adb2d2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:18:08 2018 +0100

    Add month names with day to Slovak translation

    Slovak uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/sk.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 5f865be08b5bf53f55a52bc0b6ff1c2f4098addb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:15:06 2018 +0100

    Add month names with day to Russian translation

    Russian uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ru.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 45c3e87d639335cebcceb1efab4d30e4a91fb0dd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:09:07 2018 +0100

    Add month names with day to Romanian translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ro.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 6a06647a03f9cd780f9b0c12035277641a0640f9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:08:39 2018 +0100

    Add month names with day to Portuguese translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/pt.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 6e26ac68a0f0c5f4ccd0120d4d228b8978a644ae
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:03:46 2018 +0100

    Add month names with day to Punjabi translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/pa.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 99c9feb4c1044f9b5220d7659240d165fafb478a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:01:48 2018 +0100

    Add month names with day to Odia translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/or.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 7dc3c8f9dcbd632c55a7b3d51e3ef4d038cb88f4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 05:00:07 2018 +0100

    Add month names with day to Occitan translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/oc.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit d5933a40af0adbdd3bc2e2faeb56432398517b86
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:45:08 2018 +0100

    Add month names with day to Nepali translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ne.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit a4e950a12f4af01f65c5cdd0cbaa119a85abfcec
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:43:17 2018 +0100

    Add month names with day to Norwegian bokmål translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/nb.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit de92a6380739b0feaee5b7a02a71c9bdeff05985
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:41:21 2018 +0100

    Add month names with day to Marathi translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/mr.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit eea69910f5ce134e7b39916da0195633a89a4092
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:36:53 2018 +0100

    Add month names with day to Malayalam translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ml.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 94eb23d8d0391f7ee9f9d0ee7998621620280c54
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:27:14 2018 +0100

    Add month names with day to Kannada translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/kn.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 09d371e88054451b8211d2be8d8192e5d975d369
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:20:05 2018 +0100

    Add month names with day to Japanese translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ja.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit bfdc5b7ec5558cf0853a8caf66559f1143429be2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:17:39 2018 +0100

    Add month names with day to Icelandic translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/is.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 01596ae8bd22cc6648b1cdd05c27da0129b5fd87
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:15:21 2018 +0100

    Add month names with day to Croatian translation

    Croatian uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/hr.po | 116
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 106 insertions(+), 10 deletions(-)

commit 098c00f23a9327bd23a63fd7640f6aa0cc4ffc08
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:10:22 2018 +0100

    Add month names with day to Hindi translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/hi.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit bdecf974fe29f545b854df2ce9c9eaab0a3dab89
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:08:58 2018 +0100

    Add month names with day to Hebrew translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/he.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit dc6d504061991d66cfe66c785089c0d1b155258c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:07:35 2018 +0100

    Add month names with day to Gujarati translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/gu.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 9aee2f4e04cf58feefd88be40a77a3a4a9f86684
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:05:51 2018 +0100

    Add month names with day to Scottish Gaelic translation

    Scottish Gaelic uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/gd.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 1d4e8f53426d98ad8f5443eee0c02193b24115dd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:04:29 2018 +0100

    Add month names with day to Irish translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ga.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 5d83103dc342c83d88508143fed76f24240f4b03
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 04:02:49 2018 +0100

    Add month names with day to Friulian translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/fur.po | 72
 ---------------------------------------------------------------
 1 file changed, 72 deletions(-)

commit dc45e88c08c480a8ee28d7046d1d89a55100b097
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:53:33 2018 +0100

    Add month names with day to Persian translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/fa.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit bda8b1abe4bc4c029773ed899377986b30e9d512
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:51:39 2018 +0100

    Add month names with day to Basque translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/eu.po | 98
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 97 insertions(+), 1 deletion(-)

commit 7f1b023578dee934696bed7bf54ed1c17eefe41a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:48:42 2018 +0100

    Add month names with day to Estonian translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/et.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit fac607dd7ed6aff09360d83733f4000d688e3cf9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:45:44 2018 +0100

    Add month names with day to Esperanto translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/eo.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit ec9a7dcc541daa74a5e708ba75d4d3dc12d787bd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:43:40 2018 +0100

    Add month names with day to English (Canadian) translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/en_CA.po | 96
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 53c0f9a24c4c56178c5493643ff95e7df4523683
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:41:29 2018 +0100

    Add month names with day to Greek translation

    Greek uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/el.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit ee85287d09e4df0ae229dafe2618f28449780397
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:32:50 2018 +0100

    Add month names with day to Catalan (Valencian) translation

    Catalan uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ca@valencia.po | 96
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit d6fb6096321b21c2cd0aeb25d3d998567d34e6fa
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:30:07 2018 +0100

    Add month names with day to Catalan translation

    Catalan uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ca.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 3875749c1544264f5a0f5607122d06fb9b396f4b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:12:40 2018 +0100

    Add month names with day to Bosnian translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/bs.po | 144
 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 120 insertions(+), 24 deletions(-)

commit 89c9441b6ac8801ca30179af8b4ea94dfead592d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:08:52 2018 +0100

    Add month names with day to Bengali (India) translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/bn_IN.po | 96
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit e23db21c77311ffc36c294741c0111caf5540b66
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:06:21 2018 +0100

    Add month names with day to Bulgarian translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/bg.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit c7b5c8916201b6d4e93fe32caff37f3080eeadbc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 03:02:19 2018 +0100

    Add month names with day to Belarusian translation

    Belarusian uses genitive for month names with day.

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/be.po | 95
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 95 insertions(+)

commit f18d5f9cec24924469cc52fb01540dc5b63b76ef
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 02:52:10 2018 +0100

    Add month names with day to Assamese translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/as.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 1ce2e8593530c73a0e3c5a49594084afaf4a8089
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 02:50:19 2018 +0100

    Add month names with day to Arabic translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/ar.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 782a37f4bcc39c06d512a5a1ddbf3c5cd16e4901
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 02:47:40 2018 +0100

    Add month names with day to Aragonese translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/an.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit f556f368357e094d1a462299eb059b9ac009e7b7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 22 02:43:05 2018 +0100

    Add month names with day to Afrikaans translation

    https://bugzilla.gnome.org/show_bug.cgi?id=793645

 po/af.po | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 777f1fc5d7692cf27bfe51387840d4066c98cbf8
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Mar 4 13:49:49 2018 +0000

    Update Latvian translation

 po/lv.po | 1586
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 928 insertions(+), 658 deletions(-)

commit 9a8cd4f271e780cc9320fb558756a3272f00970e
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sun Mar 4 12:29:57 2018 +0000

    Update Finnish translation

 po/fi.po | 1542
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 924 insertions(+), 618 deletions(-)

commit feac4a337a454f73582630c7389d623d16064c4d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Mar 4 10:20:09 2018 +0000

    Update Swedish translation

 po/sv.po | 1392
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 857 insertions(+), 535 deletions(-)

commit e23ab2b03b83ca6aff0fa7c546597df94e02ffb6
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Sat Mar 3 21:40:12 2018 +0000

    Update Dutch translation

 po/nl.po | 4716
 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 3311 insertions(+), 1405 deletions(-)

commit 174806b7e823db9e06dd02649ed6166253aed094
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Mar 3 17:36:02 2018 +0100

    Updated Danish translation

 po/da.po | 1434
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 880 insertions(+), 554 deletions(-)

commit 7fb96a1c6c7e48bb41a2089cab867aa6f8d25d8f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Mar 3 13:22:13 2018 +0200

    Updated Lithuanian translation

 po/lt.po | 1524
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 904 insertions(+), 620 deletions(-)

commit ee000de730ff3ebd81413ed4ef6ac2ab44d8a72c
Author: Bruce Cowan <bruce@bcowan.eu>
Date:   Fri Mar 2 12:50:14 2018 +0000

    Update British English translation

 po/en_GB.po | 1088
 ++++++++++++++++++++++++++++-------------------------------
 1 file changed, 515 insertions(+), 573 deletions(-)

commit 9a635bd2836b25149d606cf052d18847abdeec3e
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Thu Mar 1 10:37:26 2018 +0000

    Update Scottish Gaelic translation

    (cherry picked from commit fba630a5605910774f29b74c48cf1660125b7f4c)

 po/gd.po | 3169
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 2057 insertions(+), 1112 deletions(-)

commit 4e8a4d0d572fa37866f9e7b486b01acf0849acc0
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Feb 28 22:45:41 2018 +0100

    Updated Czech translation

 po/cs.po | 1014
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 609 insertions(+), 405 deletions(-)

commit 8266238f6d4bd776b67bf9c2e1b83394ec73b40c
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 27 12:54:38 2018 +0000

    gnetworkmonitornm: Use g_strv_contains() rather than reinventing it

    This introduces no functional changes.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793880

 gio/gnetworkmonitornm.c | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit 35d4c7f898af8919f6985f1098fba91b8f002d06
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 27 12:54:22 2018 +0000

    gnetworkmonitornm: Fix some minor GVariant memory leaks

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793880

 gio/gnetworkmonitornm.c | 2 ++
 1 file changed, 2 insertions(+)

commit 61a899815bae959c5e4768303c59bc5825ff9980
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 27 12:52:39 2018 +0000

    gnetworkmonitornetlink: Fix a memory leak in unusual circumstances

    If the GNetworkMonitorNetlink is finalised part-way through a dump
    (after request_dump() is called, but before finish_dump() is called),
    dump_networks was leaked. Fix that.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793880

 gio/gnetworkmonitornetlink.c | 1 +
 1 file changed, 1 insertion(+)

commit 183c846b30e842c5c02fe9f51a037a79f9b94d65
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 27 12:52:15 2018 +0000

    gnetworkmonitornetlink: Fix memory leaks on error paths

    Use a common error handler to avoid leaks on the error paths.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793880

 gio/gnetworkmonitornetlink.c | 23 +++++++++--------------
 1 file changed, 9 insertions(+), 14 deletions(-)

commit 88bf4939f6a4a957619c651d96f1d51b7db6bbb3
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 27 12:51:16 2018 +0000

    gnetworkmonitornetlink: Refactor some code to reduce duplication

    This should introduce no functional changes. Factor out some common
    code, flip some arguments around to use the more conventional (data,
    length) order, and move some memory management calls out of
    if-blocks.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793880

 gio/gnetworkmonitornetlink.c | 51
 ++++++++++++++++++++++----------------------
 1 file changed, 26 insertions(+), 25 deletions(-)

commit 23fad11430eb837ec1058cdb9368f3a6ea352fee
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 27 12:49:11 2018 +0000

    gnetworkmonitornetlink: Use a coarser-grained timer for dumps

    By using g_timeout_source_new_seconds(), we can let timer wakeups be
    coalesced by the scheduler, and reduce power consumption a bit. This
    shouldn’t really affect the accuracy of the network monitoring.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793880

 gio/gnetworkmonitornetlink.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 85f3bc133f258a436fb8018580dd23acf5220a0c
Author: Philip Withnall <withnall@endlessm.com>
Date:   Tue Feb 27 12:48:05 2018 +0000

    gnetworkmonitornetlink: Fix potential GMainContext issue

    Previously, the GSource would be attached to whatever GMainContext was
    the thread default at the time; but that might no longer be the
    same as
    the default at the time of constructing the GNetworkMonitor.

    Save the default from construction time, so that source callbacks are
    always invoked in the same GMainContext.

    Signed-off-by: Philip Withnall <withnall@endlessm.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=793880

 gio/gnetworkmonitornetlink.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 11909c67d120ef015551e287331fffbeaae7a98e
Author: Philip Withnall <withnall@endlessm.com>
Date:   Wed Feb 28 15:30:40 2018 +0000

    gdatetime: Clarify documentation about clamping on addition

    If adding months or years to a date, the day of the month of the
    result
    is supposed to be the same as in the input — but that doesn’t
    work if
    that day doesn’t exist in the result month.

    Clarify the documentation about what happens here (the day of
    the month
    is clamped to the length of that month).

    Signed-off-by: Philip Withnall <withnall@endlessm.com>
    Reviewed-by: nobody

 glib/gdatetime.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 29df0b98da01550d0340faf0694bb922ac9fe574
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Wed Feb 28 12:24:41 2018 +0100

    gio: Fix 'overide' typo in g_network_address_parse doc

    Signed-off-by: Christophe Fergeau <cfergeau@redhat.com>
    Reviewed-by: Philip Withnall <withnall@endlessm.com>

 gio/gnetworkaddress.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
